package com.sw.mes.yb.production.service;

import com.sw.mes.yb.production.dto.BatchOperationDto;
import com.sw.mes.yb.production.dto.CrystalBatchInfoDto;
import com.sw.mes.yb.production.dto.CrystalBatchOperationCreateDto;
import com.sw.mes.yb.production.dto.CrystalBatchOperationDto;
import com.sw.mes.yb.production.entity.CrystalBatchOperation;
import com.sw.mes.core.base.BaseService;

import java.util.List;

/**
* @Author
* @Description：
* @Date:
* @Modified By:
*/
public interface CrystalBatchOperationService extends BaseService<CrystalBatchOperation> {

    void batchOperateCrystalBatchOperation(BatchOperationDto batchOperationDto);

    void batchCreateCrystalBatchOperation(CrystalBatchOperationCreateDto batchOperationDto);

    List<CrystalBatchInfoDto> getInfoBySectionNo(String sectionList);

    CrystalBatchOperation findByCrystalNoAndStatus(String crystalNo,Integer status);

    CrystalBatchOperation findBySectionNoAndStatus(String sectionNo,Integer status);

    void judgeCrystalNoIsLock(String crystalNo,String sectionNo,Boolean isCrystalBar);

    CrystalBatchOperation findBySectionNo(String sectionNo);

}
